<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: Punkt</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: Punkt</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Punkt<span class="signature">(x, y)</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="Punkt"><span class="type-signature"></span>new Punkt<span class="signature">(x, y)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Ein Punkt auf dem Spielfeld</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>x</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>Die horizontale Position des Punkts</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>y</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last"><p>Die vertikale Position des Punkts</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id="div"><span class="type-signature"></span>div<span class="type-signature"> :Node</span></h4>




<div class="description">
    <p>Das Element, das diesen Punkt im HTML-Dokument darstellt</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Node</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="linien"><span class="type-signature"></span>linien<span class="type-signature"> :Array.&lt;<a href="Linie.html">Linie</a>></span></h4>




<div class="description">
    <p>Die Linien, die sich mit diesem Punkt kreuzen</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Array.&lt;<a href="Linie.html">Linie</a>></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="nachbarn"><span class="type-signature"></span>nachbarn<span class="type-signature"> :Array.&lt;<a href="Punkt.html">Punkt</a>></span></h4>




<div class="description">
    <p>Die benachbarten Punkte</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">Array.&lt;<a href="Punkt.html">Punkt</a>></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="spieler"><span class="type-signature"></span>spieler<span class="type-signature"> :<a href="Spieler.html">Spieler</a>|<a href="global.html#keinSpieler">keinSpieler</a></span></h4>




<div class="description">
    <p>Der Spieler auf diesem Punkt</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type"><a href="Spieler.html">Spieler</a></span>
|

<span class="param-type"><a href="global.html#keinSpieler">keinSpieler</a></span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="x"><span class="type-signature"></span>x<span class="type-signature"> :number</span></h4>




<div class="description">
    <p>Die horizontale Position des Punkts</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">number</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
            
<h4 class="name" id="y"><span class="type-signature"></span>y<span class="type-signature"> :number</span></h4>




<div class="description">
    <p>Die vertikale Position des Punkts</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">number</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






        
    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="Linie.html">Linie</a></li><li><a href="Punkt.html">Punkt</a></li><li><a href="Spieler.html">Spieler</a></li></ul><h3>Global</h3><ul><li><a href="global.html#aktuellerSpieler">aktuellerSpieler</a></li><li><a href="global.html#animiere">animiere</a></li><li><a href="global.html#animiereSteinBewegung">animiereSteinBewegung</a></li><li><a href="global.html#animiereSteinWegnehmen">animiereSteinWegnehmen</a></li><li><a href="global.html#frageNachNeuenSpielerNamen">frageNachNeuenSpielerNamen</a></li><li><a href="global.html#gemerkteAbfrage">gemerkteAbfrage</a></li><li><a href="global.html#gemerkterSpielerName">gemerkterSpielerName</a></li><li><a href="global.html#gibAnderenSpieler">gibAnderenSpieler</a></li><li><a href="global.html#gibSpielerPunkte">gibSpielerPunkte</a></li><li><a href="global.html#istAnfang">istAnfang</a></li><li><a href="global.html#istKlickErlaubt">istKlickErlaubt</a></li><li><a href="global.html#istNeueM%25C3%25BChle">istNeueMühle</a></li><li><a href="global.html#keinSpieler">keinSpieler</a></li><li><a href="global.html#keinStein">keinStein</a></li><li><a href="global.html#klickePunkt">klickePunkt</a></li><li><a href="global.html#linien">linien</a></li><li><a href="global.html#machePunktFrei">machePunktFrei</a></li><li><a href="global.html#meldeSieg">meldeSieg</a></li><li><a href="global.html#merkeLinie">merkeLinie</a></li><li><a href="global.html#merkeNachbar">merkeNachbar</a></li><li><a href="global.html#merkeNachbarn">merkeNachbarn</a></li><li><a href="global.html#nimmSteinInHand">nimmSteinInHand</a></li><li><a href="global.html#nimmSteinWeg">nimmSteinWeg</a></li><li><a href="global.html#pr%25C3%25BCfeBeweglichkeit">prüfeBeweglichkeit</a></li><li><a href="global.html#pr%25C3%25BCfeBewegung">prüfeBewegung</a></li><li><a href="global.html#pr%25C3%25BCfeM%25C3%25BChle">prüfeMühle</a></li><li><a href="global.html#pr%25C3%25BCfeM%25C3%25BChleAmPunkt">prüfeMühleAmPunkt</a></li><li><a href="global.html#pr%25C3%25BCfeNachbarn">prüfeNachbarn</a></li><li><a href="global.html#pr%25C3%25BCfeSiegDurchAnzahlSteine">prüfeSiegDurchAnzahlSteine</a></li><li><a href="global.html#pr%25C3%25BCfeSiegDurchUnbeweglichkeit">prüfeSiegDurchUnbeweglichkeit</a></li><li><a href="global.html#pr%25C3%25BCfeSpringen">prüfeSpringen</a></li><li><a href="global.html#pr%25C3%25BCfeWegnehmen">prüfeWegnehmen</a></li><li><a href="global.html#punkte">punkte</a></li><li><a href="global.html#rechneBreite">rechneBreite</a></li><li><a href="global.html#rechneH%25C3%25B6he">rechneHöhe</a></li><li><a href="global.html#rechneLinks">rechneLinks</a></li><li><a href="global.html#rechneOben">rechneOben</a></li><li><a href="global.html#r%25C3%25A4umeAuf">räumeAuf</a></li><li><a href="global.html#setzeAktuellenSpieler">setzeAktuellenSpieler</a></li><li><a href="global.html#setzeNeuenStein">setzeNeuenStein</a></li><li><a href="global.html#spieler1">spieler1</a></li><li><a href="global.html#spieler2">spieler2</a></li><li><a href="global.html#steinInHand">steinInHand</a></li><li><a href="global.html#vergissGemerktes">vergissGemerktes</a></li><li><a href="global.html#verschiebeStein">verschiebeStein</a></li><li><a href="global.html#verteileSteine">verteileSteine</a></li><li><a href="global.html#vonVorne">vonVorne</a></li><li><a href="global.html#wechselSpieler">wechselSpieler</a></li><li><a href="global.html#zeichneAktuellerSpieler">zeichneAktuellerSpieler</a></li><li><a href="global.html#zeichneKnopf">zeichneKnopf</a></li><li><a href="global.html#zeichneKn%25C3%25B6pfe">zeichneKnöpfe</a></li><li><a href="global.html#zeichneLinien">zeichneLinien</a></li><li><a href="global.html#zeichnePunkte">zeichnePunkte</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a>
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>